Catalog - Search
目錄搜尋 API 允許跨工作區程式化發現 OneLake 目錄條目。 它支援跨工作空間搜尋目錄中繼資料,並回傳經過篩選至呼叫主體授權存取的條目的結果。 搜尋結果包含穩定識別碼,旨在與互補的 Fabric API 使用,以擷取額外細節或執行支援的動作。
備註
目錄搜尋目前處於預覽階段(了解更多)。
目錄條目是一種可發現的 Microsoft Fabric 實體的元資料表示法,目前僅限於工作區項目。 目錄條目僅用於元資料發現,並不授權存取底層資料或項目內容。
許可
來電者只能發現其授權存取的工作區和項目的目錄條目。
必要的委派範圍
目錄。全部閱讀
局限性
continuationToken不得與search或filter結合。 憑證本身就帶有原始請求的這些值。pageSize必須介於1到1000之間。
節流限制
| 限制類型 | 價值 |
|---|---|
| 平台 API 統一配額 | 每分鐘500通電話 |
| API 限制 | 每分鐘50通電話 |
Microsoft Entra 支援的身份識別
此 API 支援本節中列出的Microsoft 身分識別。
| 身分識別 | 支援 |
|---|---|
| User | 是的 |
| 服務主體 與 受管理身份 | 是的 |
介面
POST https://api.fabric.microsoft.com/v1/catalog/search
要求本文
| 名稱 | 類型 | Description |
|---|---|---|
| continuationToken |
string |
下一頁的續寫標記。 延續權杖會將原始請求的 、 |
| filter |
string |
搜尋篩選器。 隨著時間推移,可能會新增更多篩選選項。 濾波參數支援以下特性:
濾波參數支援以下運算子以精煉結果:
|
| pageSize |
integer |
需要退還的頁面大小。 頁面大小必須介於1到1000之間。 預設為 50。 |
| search |
string |
搜尋的文字查詢。 此欄位支援在 CatalogEntry 的顯示名稱、工作區顯示名稱及描述中搜尋。 搜尋欄位支援以下運算子:
|
回覆
| 名稱 | 類型 | Description |
|---|---|---|
| 200 OK |
OK |
|
| 429 Too Many Requests |
服務費率上限被超標。 伺服器會回傳一個 標題 Retry-After: integer |
|
| Other Status Codes |
常見的錯誤碼:
|
範例
| Search example |
| Search within a workspace example |
Search example
範例要求
POST https://api.fabric.microsoft.com/v1/catalog/search
{
"search": "sales",
"pageSize": 3,
"filter": "Type eq 'Report' or Type eq 'Lakehouse' or Type eq 'Workspace'"
}
範例回覆
{
"value": [
{
"id": "0acd697c-1550-43cd-b998-91bfb12347c6",
"type": "Report",
"catalogEntryType": "FabricItem",
"displayName": "Monthly Sales Revenue",
"description": "Consolidated revenue report for the current fiscal year.",
"hierarchy": {
"workspace": {
"id": "7f2c8a91-3b4d-4e5f-a6b7-c8d9e0f1a2b3",
"displayName": "Sales Analytics"
}
}
},
{
"id": "5e8f2a1b-9c3d-4e7f-b6a5-d4c3b2a1e0f9",
"type": "Lakehouse",
"catalogEntryType": "FabricItem",
"displayName": "Sales Revenue Lakehouse",
"description": "Central lakehouse for sales transaction data.",
"hierarchy": {
"workspace": {
"id": "a2b3c4d5-e6f7-4a8b-9c0d-1e2f3a4b5c6d",
"displayName": "Finance Platform"
}
}
},
{
"id": "7f2c8a91-3b4d-4e5f-a6b7-c8d9e0f1a2b3",
"type": "Workspace",
"catalogEntryType": "Workspace",
"displayName": "Sales Analytics",
"description": "Workspace for the sales analytics team."
}
],
"continuationToken": "eyJza2lwIjozLCJ0YWtl..."
}
Search within a workspace example
範例要求
POST https://api.fabric.microsoft.com/v1/catalog/search
{
"search": "revenue",
"filter": "(Type eq 'Report' or Type eq 'SemanticModel') and WorkspaceId eq '7f2c8a91-3b4d-4e5f-a6b7-c8d9e0f1a2b3'",
"pageSize": 2
}
範例回覆
{
"value": [
{
"id": "0acd697c-1550-43cd-b998-91bfb12347c6",
"type": "Report",
"catalogEntryType": "FabricItem",
"displayName": "Monthly Sales Revenue",
"description": "Consolidated revenue report for the current fiscal year.",
"hierarchy": {
"workspace": {
"id": "7f2c8a91-3b4d-4e5f-a6b7-c8d9e0f1a2b3",
"displayName": "Sales Analytics"
}
}
},
{
"id": "c41d9f2e-7b60-4a15-8d3c-2f6e9a0b7c48",
"type": "SemanticModel",
"catalogEntryType": "FabricItem",
"displayName": "Revenue Semantic Model",
"description": "Shared revenue model backing the sales reports.",
"hierarchy": {
"workspace": {
"id": "7f2c8a91-3b4d-4e5f-a6b7-c8d9e0f1a2b3",
"displayName": "Sales Analytics"
}
}
}
],
"continuationToken": "eyJza2lwIjoyLCJ0YWtl..."
}
定義
| 名稱 | Description |
|---|---|
|
Catalog |
目錄條目類型。 可能會隨著時間新增其他 |
|
Catalog |
搜尋的查詢。 |
|
Catalog |
搜尋結果。 |
|
Catalog |
目錄條目的工作區。 |
|
Error |
一個結構化參數,提供關於錯誤的額外機器可讀上下文。 |
|
Error |
錯誤相關的資源詳細資料物件。 |
|
Error |
錯誤回應。 |
|
Error |
錯誤回應的細節。 |
|
Item |
Fabric 項目的目錄中繼資料表示。 |
|
Item |
是 Fabric 資料架構中該項目的直接祖先。 僅回傳適用的等級。 |
|
Item |
項目的類型。 可能會隨著時間新增其他項目類型。 |
|
Workspace |
Fabric 工作區的目錄元資料表示。 |
|
Workspace |
該類型在工作區目錄中回報。 可能會隨著時間新增其他 |
CatalogEntryType
目錄條目類型。 可能會隨著時間新增其他 CatalogEntryType 類型。
| 值 | Description |
|---|---|
| FabricItem |
一種 Fabric 商品目錄的輸入類型。 |
| Workspace |
一種工作空間目錄條目類型。 |
CatalogQueryRequest
搜尋的查詢。
| 名稱 | 類型 | Description |
|---|---|---|
| continuationToken |
string |
下一頁的續寫標記。 延續權杖會將原始請求的 、 |
| filter |
string |
搜尋篩選器。 隨著時間推移,可能會新增更多篩選選項。 濾波參數支援以下特性:
濾波參數支援以下運算子以精煉結果:
|
| pageSize |
integer |
需要退還的頁面大小。 頁面大小必須介於1到1000之間。 預設為 50。 |
| search |
string |
搜尋的文字查詢。 此欄位支援在 CatalogEntry 的顯示名稱、工作區顯示名稱及描述中搜尋。 搜尋欄位支援以下運算子:
|
CatalogQueryResponse
搜尋結果。
| 名稱 | 類型 | Description |
|---|---|---|
| continuationToken |
string |
下一頁的續作代幣。 |
| value | CatalogEntry[]: |
目錄條目列表 |
CatalogWorkspace
目錄條目的工作區。
| 名稱 | 類型 | Description |
|---|---|---|
| displayName |
string |
工作區的顯示名稱。 |
| id |
string (uuid) |
工作區的 ID。 |
ErrorParameter
一個結構化參數,提供關於錯誤的額外機器可讀上下文。
| 名稱 | 類型 | Description |
|---|---|---|
| message |
string |
一個人類可讀的參數意義描述。 |
| name |
string |
參數識別碼。 |
| value |
string |
這是參數值。 |
ErrorRelatedResource
錯誤相關的資源詳細資料物件。
| 名稱 | 類型 | Description |
|---|---|---|
| resourceId |
string |
發生錯誤的資源識別碼。 |
| resourceType |
string |
發生錯誤的資源類型。 |
ErrorResponse
錯誤回應。
| 名稱 | 類型 | Description |
|---|---|---|
| errorCode |
string |
提供錯誤狀況相關信息的特定標識碼,允許服務與其使用者之間的標準化通訊。 |
| isRetriable |
boolean |
若屬實,請求可重新嘗試。 如果有延遲,請使用 |
| message |
string |
以人類可讀格式呈現的錯誤訊息。 |
| moreDetails |
其他錯誤詳情的清單。 |
|
| parameters |
結構化參數提供更多機器可讀的錯誤上下文。 |
|
| relatedResource |
與錯誤相關的資源詳情。 |
|
| requestId |
string (uuid) |
與錯誤相關聯的要求識別碼。 |
ErrorResponseDetails
錯誤回應的細節。
| 名稱 | 類型 | Description |
|---|---|---|
| errorCode |
string |
提供錯誤狀況相關信息的特定標識碼,允許服務與其使用者之間的標準化通訊。 |
| message |
string |
以人類可讀格式呈現的錯誤訊息。 |
| parameters |
結構化參數提供更多機器可讀的錯誤上下文。 |
|
| relatedResource |
與錯誤相關的資源詳情。 |
ItemCatalogEntry
Fabric 項目的目錄中繼資料表示。
| 名稱 | 類型 | Description |
|---|---|---|
| catalogEntryType |
string:
Fabric |
目錄條目類型。 |
| description |
string |
目錄條目的描述。 |
| displayName |
string |
目錄條目顯示名稱。 |
| hierarchy |
目錄條目的層級。 |
|
| id |
string (uuid) |
目錄條目的objectID。 |
| type |
Fabric 項目類型。 |
ItemCatalogEntryHierarchy
是 Fabric 資料架構中該項目的直接祖先。 僅回傳適用的等級。
| 名稱 | 類型 | Description |
|---|---|---|
| workspace |
就是包含該物品的工作區。 |
ItemType
項目的類型。 可能會隨著時間新增其他項目類型。
| 值 | Description |
|---|---|
| Dashboard |
PowerBI 儀錶板。 |
| Report |
PowerBI 報表。 |
| SemanticModel |
PowerBI 語意模型。 |
| PaginatedReport |
PowerBI 編頁報表。 |
| Datamart |
PowerBI datamart。 |
| Lakehouse |
湖屋 |
| Eventhouse |
事件屋。 |
| Environment |
環境。 |
| KQLDatabase |
KQL 資料庫。 |
| KQLQueryset |
KQL 查詢集。 |
| KQLDashboard |
KQL 儀錶板。 |
| DataPipeline |
數據管線。 |
| Notebook |
筆記本。 |
| SparkJobDefinition |
Spark 作業定義。 |
| MLExperiment |
機器學習實驗。 |
| MLModel |
機器學習模型。 |
| Warehouse |
倉儲。 |
| Eventstream |
事件流。 |
| SQLEndpoint |
SQL 端點。 |
| MirroredWarehouse |
鏡像倉儲。 |
| MirroredDatabase |
鏡像資料庫。 |
| Reflex |
反射。 |
| GraphQLApi |
GraphQL 專案的 API。 |
| MountedDataFactory |
MountedDataFactory。 |
| SQLDatabase |
SQLDatabase。 |
| CopyJob |
複製作業。 |
| VariableLibrary |
VariableLibrary。 |
| Dataflow |
數據流。 |
| ApacheAirflowJob |
ApacheAirflowJob。 |
| WarehouseSnapshot |
倉儲快照集。 |
| DigitalTwinBuilder |
DigitalTwinBuilder。 |
| DigitalTwinBuilderFlow |
數字對應項產生器流程。 |
| MirroredAzureDatabricksCatalog |
鏡像的 Azure databricks 目錄。 |
| Map |
一張地圖。 |
| AnomalyDetector |
異常偵測器。 |
| UserDataFunction |
使用者資料函數。 |
| GraphModel |
GraphModel 的 GraphModel。 |
| GraphQuerySet |
圖形 QuerySet。 |
| SnowflakeDatabase |
一個 Snowflake 資料庫,用來儲存由 Snowflake 帳號建立的 Iceberg 表格。 |
| OperationsAgent |
一個行動特工。 |
| CosmosDBDatabase |
一個 Cosmos 資料庫。 |
| Ontology |
一個本體論。 |
| EventSchemaSet |
一個事件結構集。 |
| DataAgent |
一個資料代理人。 |
| MirroredCatalog |
鏡像目錄。 |
| PolicySet |
一套政策集。 |
| AppBackend |
一個 AppBackend。 |
| OrgApp |
一個組織應用程式。 |
| OrgAppAudience |
一個組織應用程式的受眾。 |
| DataBuildToolJob |
一個 DataBuildToolJob。 |
| AzureDatabricksStorage |
A OneLake backed storage item for Azure Databricks. |
| Plan |
一個計畫。 |
| Monitoring |
一個監控物品。 |
| DeploymentPlan |
部署計畫。 |
| ShareSubscription |
一份股票訂閱。 |
| Share |
一份。 |
| MirroredOneLake |
一個鏡像的 OneLake 產品。 |
WorkspaceCatalogEntry
Fabric 工作區的目錄元資料表示。
| 名稱 | 類型 | Description |
|---|---|---|
| catalogEntryType |
string:
Workspace |
目錄條目類型。 |
| description |
string |
目錄條目的描述。 |
| displayName |
string |
目錄條目顯示名稱。 |
| id |
string (uuid) |
目錄條目的objectID。 |
| type |
目錄條目類型。 總是 |
WorkspaceCatalogEntryType
該類型在工作區目錄中回報。 可能會隨著時間新增其他 WorkspaceCatalogEntryType 類型。
| 值 | Description |
|---|---|
| Workspace |
工作區。 |